Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]prima installazione, primo problema
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
roberto_dotg
n00b
n00b


Joined: 13 Apr 2005
Posts: 15

PostPosted: Thu Mar 06, 2008 4:47 pm    Post subject: [SOLVED]prima installazione, primo problema Reply with quote

Ciao a tutti,
problema per voi banale, sto installando gentoo x la prima volta dopo 12 anni di Debian.
come dice :
http://www.gentoo.org/doc/it/gnome-config.xml
mi sto installando gnome ma

thelema / # emerge gnome
--- Invalid atom in /etc/portage/package.keywords: gnome-base/gnome-2.20.3
Calculating dependencies -
!!! All ebuilds that could satisfy "gnome" have been masked.
!!! One of the following masked packages is required to complete your request:
- gnome-base/gnome-2.20.3 (masked by: required EAPI 1, supported EAPI 0)
- gnome-base/gnome-2.18.3 (masked by: required EAPI 1, supported EAPI 0)
- gnome-base/gnome-2.20.1 (masked by: required EAPI 1, supported EAPI 0)
- gnome-base/gnome-2.20.2 (masked by: required EAPI 1, supported EAPI 0)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

thelema / #

Quindi ho usato lo scriptino trovato nel man x abilitare il pacchetto masked.

thelema / # cat /etc/portage/package.keywords
gnome-base/gnome-2.20.3 ~x86
thelema / #

però:

thelema / # ACCEPT_KEYWORDS="~x86" emerge gnome
--- Invalid atom in /etc/portage/package.keywords: gnome-base/gnome-2.20.3
Calculating dependencies -
!!! All ebuilds that could satisfy "gnome" have been masked.
!!! One of the following masked packages is required to complete your request:
- gnome-base/gnome-2.20.3 (masked by: required EAPI 1, supported EAPI 0)
- gnome-base/gnome-2.18.3 (masked by: required EAPI 1, supported EAPI 0)
- gnome-base/gnome-2.20.1 (masked by: required EAPI 1, supported EAPI 0)
- gnome-base/gnome-2.20.2 (masked by: required EAPI 1, supported EAPI 0)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

thelema / #

e

thelema / # ACCEPT_KEYWORDS="~x86" emerge =gnome-base/gnome-2.20.3
--- Invalid atom in /etc/portage/package.keywords: gnome-base/gnome-2.20.3
Calculating dependencies -
!!! All ebuilds that could satisfy "=gnome-base/gnome-2.20.3" have been masked.
!!! One of the following masked packages is required to complete your request:
- gnome-base/gnome-2.20.3 (masked by: required EAPI 1, supported EAPI 0)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

thelema / #


quindi sono senza X.

una manina?
grazie a tutti


Last edited by roberto_dotg on Sun Mar 09, 2008 11:58 pm; edited 1 time in total
Back to top
View user's profile Send private message
magowiz
Veteran
Veteran


Joined: 17 Feb 2005
Posts: 1029
Location: Italy/Milan/Bresso

PostPosted: Thu Mar 06, 2008 4:54 pm    Post subject: Reply with quote

non credo sia "legale" la voce che hai aggiunto in /etc/portage/package.keywords
http://www.gentoo.org/doc/it/handbook/handbook-x86.xml?part=3&chap=3#doc_chap2

nel tuo caso particolare ti sei dimenticato l'"=" prima del nome del pacchetto, bisogna mettere alternativamente >,<,>=,<=,= nel package.keywords quando si specifica una particolare versione del pacchetto.
Back to top
View user's profile Send private message
spillo
Tux's lil' helper
Tux's lil' helper


Joined: 29 Feb 2008
Posts: 125
Location: S.Angelo Lodigiano

PostPosted: Thu Mar 06, 2008 7:08 pm    Post subject: Reply with quote

guarda, anche io la prima volta mi son trovato spiazzato da quel problema, ma ti basta fare un update di portage per risolvere e poter emergere gnome senza problemi ;)

comunque ti consiglio ti usare i tag code per postare gli output del terminale in modo da rendere tutto piu leggibile :)
_________________
spillo

GnuLinuxExperience

Il mio blog! :)
Back to top
View user's profile Send private message
codadilupo
Advocate
Advocate


Joined: 05 Aug 2003
Posts: 3135

PostPosted: Thu Mar 06, 2008 7:14 pm    Post subject: Reply with quote

sinceramente, la cosa mi puzza. La gnome-2.20.3.ebuild non mi risulta affatto mascherata... hai già dato un sync ?

Coda
Back to top
View user's profile Send private message
Tigerwalk
Guru
Guru


Joined: 15 May 2007
Posts: 475
Location: Napoli

PostPosted: Thu Mar 06, 2008 9:00 pm    Post subject: Reply with quote

spillo wrote:
guarda, anche io la prima volta mi son trovato spiazzato da quel problema, ma ti basta fare un update di portage per risolvere e poter emergere gnome senza problemi ;)

comunque ti consiglio ti usare i tag code per postare gli output del terminale in modo da rendere tutto piu leggibile :)

devi aggiornare portage con
Code:
emerge portage
per evitare l'inconveniente delle punture da API
_________________
Linux user N°447789
Carpe diem (quam minimum credula postero) -Orazio (I,11)
Back to top
View user's profile Send private message
starise
Apprentice
Apprentice


Joined: 09 Oct 2004
Posts: 211
Location: Napoli

PostPosted: Thu Mar 06, 2008 9:47 pm    Post subject: Reply with quote

Ti conviene prima di gnome, di emergere xorg-x11 se non l'hai già fatto! ;)
_________________
Notebook: Dell XPS M1330, Core 2 Duo 2GHz, 2 GB DDR2, HD 200GB 7200rpm, GeForce 8400M - powered by Gentoo
Website: AndreaBrandi.Com
Back to top
View user's profile Send private message
roberto_dotg
n00b
n00b


Joined: 13 Apr 2005
Posts: 15

PostPosted: Thu Mar 06, 2008 10:55 pm    Post subject: Reply with quote

che figata!
avete tutti ragione!
no, non avevo ancora fatto il sync di sistema
si, gnome non è masked
...
bene, emerge --sync e tutto è ok!
...ok... + o - ho appena aperto un post...
grazie, ciao a presto
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Fri Mar 07, 2008 1:02 am    Post subject: Reply with quote

il tag risolto per favore, è brutto leggersi un post e scoprire alla fine che il problema è già stato risolto. puoi aggiungerlo editando il tuo primo post :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum